PETSc version 3.15.5
Fix/Edit manual page

# PCMGSetNumberSmooth

Sets the number of pre and post-smoothing steps to use on all levels. Use PCMGDistinctSmoothUp() to create separate up and down smoothers if you want different numbers of pre- and post-smoothing steps.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetNumberSmooth(PC pc,PetscInt n)

Logically Collective on PC

### Input Parameters

| mg | - the multigrid context
| n | - the number of smoothing steps

### Options Database Key

| -mg_levels_ksp_max_it <n> | - Sets number of pre and post-smoothing steps

### Notes

this does not set a value on the coarsest grid, since we assume that there is no separate smooth up on the coarsest grid.

### See Also

PCMGSetDistinctSmoothUp()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages